local Gnoll = _G.Gnoll
local GL = Gnoll.Locale
local GLW = Gnoll.WoWLocale

local AddonModul = Gnoll.Data.AddonModul
local AddonModulData = Gnoll.Data.AddonModulData
local AddonModulLoot = Gnoll.Data.AddonModulLoot
local AddonModulKat = Gnoll.Data.AddonModulKat

	------------------------------------------------ PvP ------------------------------------------------
	
	AddonModulData[4] = { GL["Mounts"],GL["Season"].." ".."0".." ".."Classic",GL["Season"].." ".."1".." ".."Burning Crusade",GL["Season"].." ".."19".." ".."Legion",--[[GL["Season"].." ".."2".." ".."Burning Crusade",GL["Season"].." ".."3".." ".."Burning Crusade",GL["Season"].." ".."4".." ".."Burning Crusade",GL["Season"].." ".."5".." ".."Wrath of the Lich King",GL["Season"].." ".."6".." ".."Wrath of the Lich King",GL["Season"].." ".."7".." ".."Wrath of the Lich King",GL["Season"].." ".."8".." ".."Wrath of the Lich King",GL["Season"].." ".."9".." ".."Cataclysm",GL["Season"].." ".."10".." ".."Cataclysm",GL["Season"].." ".."11".." ".."Cataclysm",GL["Season"].." ".."12".." ".."Mists of Pandaria",GL["Season"].." ".."13".." ".."Mists of Pandaria",GL["Season"].." ".."14".." ".."Mists of Pandaria",GL["Season"].." ".."15".." ".."Mists of Pandaria",GL["Season"].." ".."16".." ".."Warlords of Draenor",GL["Season"].." ".."17".." ".."Warlords of Draenor",GL["Season"].." ".."18".." ".."Warlords of Draenor"]] }

	------------------------------------------------ Mounts
	
--[[ Mounts ]]					AddonModulKat[4][1] = { GL["Prestige"].." "..GL["Mounts"],GL["Arena"].." "..GL["Mounts"],GL["Alliance"] }
--[[ Prestige Mounts ]]					AddonModulLoot[4][1][1] = { 140228,140233 }
--[[ Arena Mounts ]]					AddonModulLoot[4][1][2] = { "d###Legion","d###Season 1",141843,"d###Season 2",141844,"d###Season 3",141845,"d###Season 4",141846,"t###","t###No Longer Available","d###Warlords of Draenor",128277,128281,128282,"t###","t###","t###","t###","t###","t###No Longer Available","d###Mists of Pandaria",95041,104325,104326,104327,"t###","t###","t###","t###","t###No Longer Available","d###Cataclysm",71339,71954,85785,"t###","t###","t###","t###","t###","t###No Longer Available","d###Wrath of the Lich King",46708,46171,47840,50435,"t###","t###","t###","t###","t###No Longer Available","d###Burning Crusade",30609,34092,37676,43516 }
--[[ Allianz ]]							AddonModulLoot[4][1][3] = { "70909p###1w###10022","102514p###1w###10022","116777p###1w###10022","124089p###1w###10022","140353p###1w###10022","140350p###1w###10022","t###","t###","t###","t###","29465p###15w###10023","29467p###15w###10023","29468p###15w###10023","35906p###15w###10023","29471p###15w###10023" }

	------------------------------------------------ Season 0 Classic

--[[ Season 0 - Allianz ]]		AddonModulKat[4][2] = { GL["Armor"],GL["Weapons"],GL["Miscellaneous"],"c###1","c###2","c###3","c###4","c###5","c###7","c###8","c###9","c###11" }
--[[ Season 0 - Armor ]]				AddonModulLoot[4][2][1] = { "t###Plate",18445,18447,"t###","t###Mail",18448,18449,"t###","t###","t###","t###Leather",18454,18455,18452,18453,"t###","t###Cloth",18456,18457,"t###",16342,18441,18440 }
--[[ Season 0 - Weapons ]]				AddonModulLoot[4][2][2] = { 18867,23455,18876,18873,18869,18830,"t###",18825,23452,23453,23454,23451,23456,18865,18847,18843,18838,18827,12584,"t###",18855,18836,18833 }
--[[ Season 0 - Verschiedenes ]]		AddonModulLoot[4][2][3] = { 15196,15198 }
--[[ Season 0 - Krieger ]]				AddonModulLoot[4][2][4] = { 23314,23315,23300,23286,23301,23287,"t###","t###","t###","t###",16478,16480,16477,16484,16479,16483 }
--[[ Season 0 - Paladin ]]				AddonModulLoot[4][2][5] = { 23276,23277,23272,23274,23273,23275,"t###","t###","t###","t###",16474,16476,16473,16471,16475,16472 }
--[[ Season 0 - Jäger ]]				AddonModulLoot[4][2][6] = { 23306,23307,23292,23279,23293,23278,"t###","t###","t###","t###",16465,16468,16466,16463,16467,16462 }
--[[ Season 0 - Schurke ]]				AddonModulLoot[4][2][7] = { 23312,23313,23298,23284,23299,23285,"t###","t###","t###","t###",16455,16457,16453,16454,16456,16446 }
--[[ Season 0 - Priester ]]				AddonModulLoot[4][2][8] = { 23316,23317,23303,23288,23302,22859,"t###","t###","t###","t###",17602,17604,17605,17608,17603,17607 }
--[[ Season 0 - Schamane ]]				AddonModulLoot[4][2][9] = { 29598,29599,29596,29595,29597,29594,"t###","t###","t###","t###",29610,29611,29609,29607,29608,29606 }
--[[ Season 0 - Magier ]]				AddonModulLoot[4][2][10] = { 23318,23319,23305,23290,23304,23291,"t###","t###","t###","t###",16441,16444,17605,17608,17603,17607 }
--[[ Season 0 - Hexenmeister ]]			AddonModulLoot[4][2][11] = { 23310,23311,23297,23282,23296,23283,"t###","t###","t###","t###",17578,17580,17581,17584,17579,17583 }
--[[ Season 0 - Druide ]]				AddonModulLoot[4][2][12] = { 23308,23309,23294,23280,23295,23281,"t###","t###","t###","t###",16451,16449,16452,16448,16450,16459 }		

	------------------------------------------------ Season 1 Gladiator

--[[ Season 1 ]]				AddonModulKat[4][3] = { GL["Armor"],GL["Weapons"],"c###1","c###2","c###3","c###4","c###5","c###7","c###8","c###9","c###11" }
--[[ Season 1 - Armor ]]				AddonModulLoot[4][3][1] = { "t###Plate",32984,29000,30491,"t###","t###Mail",28994,28630,28449,"t###","t###Leather",28447,28444,28987,"t###","t###Cloth",28982,28410 }
--[[ Season 1 - Weapons ]]				AddonModulLoot[4][3][2] = { 28299,28476,28298,24557,28300,24550,"t###",28358,32452,28346,28308,28309,28312,28310,28313,28314,28305,28302,28307,28295,32450,32451,28297,"t###",28320,28294 }
--[[ Season 1 - Krieger ]]				AddonModulLoot[4][3][3] = { 24545,24546,24544,24549,24547 }
--[[ Season 1 - Paladin ]]				AddonModulLoot[4][3][4] = { "d###Retribution",27704,27706,27702,27703,27705,"t###","t###","t###","t###","d###Protection",27881,27883,27879,27880,27882,"t###","t###","t###","t###","d###Holy",31616,31619,31613,31614,31618 }
--[[ Season 1 - Jäger ]]				AddonModulLoot[4][3][5] = { 28331,28333,28334,28335,28332 }
--[[ Season 1 - Schurke ]]				AddonModulLoot[4][3][6] = { 25830 ,25832,25831,25834,25833 }
--[[ Season 1 - Priester ]]				AddonModulLoot[4][3][7] = { "d###Holy",31410,31412,31413,31409,31411,"t###","t###","t###","t###","d###Shadow",27708,27710,27711,27707,27709 }
--[[ Season 1 - Schamane ]]				AddonModulLoot[4][3][8] = { "d###Enhancement",25998,25999,25997,26000,26001,"t###","t###","t###","t###","d###Elemental",27471,27473,27469,27470,27472,"t###","t###","t###","t###","d###Restoration",31400,31407,31396,31397,31406 }
--[[ Season 1 - Magier ]]				AddonModulLoot[4][3][9] = { 25855,25854,25856,25857,25858 }
--[[ Season 1 - Hexenmeister ]]			AddonModulLoot[4][3][10] = { 24553,24554,24552,24556,24555,"t###","t###","t###","t###","t###",30187,30186,30200,30188,30201 }
--[[ Season 1 - Druide ]]				AddonModulLoot[4][3][11] = { "d###Feral",28127,28129,28130,28126,28128,"t###","t###","t###","t###","d###Restoration",31376,31378,31379,31375,31377,"t###","t###","t###","t###","d###Balance",28137,28139,28140,28136,28138 }	

	------------------------------------------------ Season 19 Vindictive - Rachgierig	

--[[ Season 19 ]]				AddonModulKat[4][4] = { GL["Miscellaneous"],"c###1","c###2","c###3","c###4","c###5","c###6","c###7","c###8","c###9","c###10","c###11","c###12" }
--[[ Season 19 - Verschiedenes ]]		AddonModulLoot[4][4][1] = { "d###ItemLevel 810",135907,135911,135915,135910,135913,136893,135908,135912,135916,"d###ItemLevel 840",135681,135685,135689,135687,135683,136891,135682,135686,135690,"d###ItemLevel 870 - Elite",136133,136137,136141,136136,136139,136895,136134,136138,136142,"d###ItemLevel 810",135918,135927,135924,135919,135928,135925,135920,135921,135922,"d###ItemLevel 840",135692,135701,135698,135693,135702,135699,135694,135695,135696,"d###ItemLevel 870 - Elite",136144,136153,136150,136145,136154,136151,136146,136147,136148,"d###ItemLevel 810",135917,135926,135923,135929,"t###","t###","t###","t###","t###","d###ItemLevel 840",135691,135700,135697,135703,"t###","t###","t###","t###","t###","d###ItemLevel 870 - Elite",136143,136152,136149,136155	 }
--[[ Season 19 - Krieger ]]				AddonModulLoot[4][4][2] = { "d###ItemLevel 810",135900,135902,136887,135897,135904,135899,135903,135901,135898,"d###ItemLevel 840",135674,135676,136885,135671,135678,135673,135677,135675,135672,"d###ItemLevel 870 - Elite",136126,136128,136889,136123,136130,136125,136129,136127,136124 }
--[[ Season 19 - Paladin ]]				AddonModulLoot[4][4][3] = { "d###ItemLevel 810",135860,135862,135914,135857,135864,135859,135863,135861,135858,"d###ItemLevel 840",135634,135636,135688,135631,135638,135633,135637,135635,135632,"d###ItemLevel 870 - Elite",136086,136088,136140,136083,136090,136085,136089,136087,136084 }
--[[ Season 19 - Jäger ]]				AddonModulLoot[4][4][4] = { "d###ItemLevel 810",135836,135838,135913,135833,135840,135835,135839,135837,135834,"d###ItemLevel 840",135610,135612,135683,135607,135614,135609,135613,135611,135608,"d###ItemLevel 870 - Elite",136062,136064,136139,136059,136066,136061,136065,136063,136060 }
--[[ Season 19 - Schurke ]]				AddonModulLoot[4][4][5] = { "d###ItemLevel 810",135876,135878,135913,135873,135880,135875,135879,135877,135874,"d###ItemLevel 840",135650,135652,136139,135647,135654,135649,135653,135651,135648,"d###ItemLevel 870 - Elite",136102,136104,136139,136099,136106,136101,136105,136103,136100 }
--[[ Season 19 - Priester ]]			AddonModulLoot[4][4][6] = { "d###ItemLevel 810",135867,135870,136867,135869,135872,135866,135871,135868,135865,"d###ItemLevel 840",135641,135644,136861,135643,135646,135640,135645,135642,135639,"d###ItemLevel 870 - Elite",136093,136096,136873,136095,136098,136092,136097,136094,136091 }
--[[ Season 19 - Todesritter ]]			AddonModulLoot[4][4][7] = { "d###ItemLevel 810",135820,135822,135905,135817,135824,135819,135823,135821,135818,"d###ItemLevel 840",135594,135596,135679,135591,135598,135593,135597,135595,135592,"d###ItemLevel 870 - Elite",136046,136048,136131,136043,136050,136045,136049,136047,136044 }			
--[[ Season 19 - Schamane ]]			AddonModulLoot[4][4][8] = { "d###ItemLevel 810",135884,135886,136869,135881,135888,135883,135887,135885,135882,"d###ItemLevel 840",135658,135660,136863,135655,135662,135657,135661,135659,135656,"d###ItemLevel 870 - Elite",136110,136112,136875,136107,136114,136109,136113,136111,136108 }
--[[ Season 19 - Magier ]]				AddonModulLoot[4][4][9] = { "d###ItemLevel 810",135843,135846,135906,135845,135848,135842,135847,135844,135841,"d###ItemLevel 840",135617,135620,135684,135619,135622,135616,135621,135618,135615,"d###ItemLevel 870 - Elite",136069,136072,136132,136071,136074,136068,136073,136070,136067 }
--[[ Season 19 - Hexenmeister ]]		AddonModulLoot[4][4][10] = { "d###ItemLevel 810",135891,135894,136881,135893,135896,135890,135895,135892,135889,"d###ItemLevel 840",135778,135781,136879,135780,135783,135777,135782,135779,135776,"d###ItemLevel 870 - Elite",136117,136120,136883,136119,136122,136116,136121,136118,136115 }
--[[ Season 19 - Mönch ]]				AddonModulLoot[4][4][11] = { "d###ItemLevel 810",135851,135853,135910,135854,135856,135850,135855,135852,135849,"d###ItemLevel 840",135625,135627,135687,135628,135630,135624,135629,135626,135623,"d###ItemLevel 870 - Elite",136077,136079,136136,136080,136082,136076,136081,136078,136075 }			
--[[ Season 19 - Druide ]]				AddonModulLoot[4][4][12] = { "d###ItemLevel 810",135827,135830,135909,135829,135832,135826,135831,135828,135825,"d###ItemLevel 840",135601,135604,135680,135603,135606,135600,135605,135602,135599,"d###ItemLevel 870 - Elite",136053,136056,136135,136055,136058,136052,136057,136054,136051 }			
--[[ Season 19 - Dämonenjäger ]]		AddonModulLoot[4][4][13] = { "d###ItemLevel 810",136297,136300,136893,136299,136302,136296,136301,136298,136295,"d###ItemLevel 840",136281,136284,136891,136283,136286,136280,136285,136282,136279,"d###ItemLevel 870 - Elite",136313,136316,136895,136315,136318,136312,136317,136314,136311 }			
	
	
	Gnoll.Data.AddonModul = AddonModul
	Gnoll.Data.AddonModulData = AddonModulData
	Gnoll.Data.AddonModulLoot = AddonModulLoot
	Gnoll.Data.AddonModulKat = AddonModulKat