local Gnoll = _G.Gnoll
local GL = Gnoll.Locale
local GLW = Gnoll.WoWLocale
local GD = Gnoll.Data

local function hideWishList()
	ItemFrame:Show()
	WishFrame:Hide()
end

local function checkitems()
	local leer = false
	for i=1, 30 do
		if ItemButtons[i]:IsShown() == true then		
			if ItemButtons[i]:GetText() == "Getting ItemInfo" then
				leer = true
			end
		end
	end
	
	if leer == true then 
		local dif  = tonumber(Gnoll["tmp"]["abfrage"][5]) or 1
		local class  = tonumber(Gnoll["tmp"]["abfrage"][6]) or 0
		local spec  = tonumber(Gnoll["tmp"]["abfrage"][7]) or 0
		if encounter == 1452 then dif = 15 end ---Special Fix für Weltbossdingens 
		LootAbfrage( tonumber(Gnoll["tmp"]["abfrage"][2]),dif,tonumber(Gnoll["tmp"]["abfrage"][3]),tonumber(Gnoll["tmp"]["abfrage"][4]),class,spec,UpdateItems)
		
	end
end

local function checkitemscache()
	local leercache = false
	for i=1, 30 do
		if ItemButtons[i]:IsShown() == true then
			if ItemButtons[i]:GetText() == "Getting ItemInfo" then
				leercache = true
			end
		end
	end
	if leercache == true then
		ClearItemButtons()
		GetItemCache(cacheliste,UpdateItems)
	end
end

function LootAbfrageStart(art,E,I,B,D,C,S)
	local boss = tonumber(B)
	local kontinent = tonumber(E)
	local instanz  = tonumber(I)
	local dif = tonumber(D) or 1
	local class = tonumber(C) or 0
	local spec = tonumber(S) or 0
	local loot = 0
	local numloot = 0
	local itemcounter = 1
	local name = UIDropDownMenu_GetText(DDME)
	cacheliste = { }
	itemliste = { }
	
	RufBar:Hide()
	ItemFrameFavButton:Show()

	if type(Gnoll.DB["favoriten"][art..kontinent..instanz..boss]) ~= "table" then
		ItemFrameFavButton:SetText("+ Favorite")
		ItemFrameFavButton:SetScript("OnClick", function(self, button) 
			FavAdd(name,art,kontinent,instanz,boss) 
		end)
	else
		ItemFrameFavButton:SetText("- Favorite")
		ItemFrameFavButton:SetScript("OnClick", function(self, button) 
			FavDel(name,art,kontinent,instanz,boss)
		end)
	end

	if art == "addon"  then 
 		numloot = #GD["AddonModulLoot"][kontinent][instanz][boss]
 		loot = GD["AddonModulLoot"][kontinent][instanz][boss]
			
		--Rufbarkram	
		if string.find(GD["AddonModul"][kontinent],GL["Factions"]) ~= nil then
			local tmp = GD["AddonModulKat"][kontinent][instanz][boss]
			--name, description, standingID, barMin, barMax, barValue, atWarWith, canToggleAtWar, isHeader, isCollapsed, hasRep, isWatched, isChild, factionID, hasBonusRepGain, canBeLFGBonus = 
			if string.find(tmp,"f###") ~= nil then		--neutrale Fraktion (Rufabrufbar)
				local _, start = string.find(tmp,"f###")
				local id = string.sub(tmp, start+1)
				local _, _, standing, barmin, barmax, barvalue = GetFactionInfoByID(id)
				RufBar:SetMinMaxValues(barmin, barmax)
				RufBar:SetValue(barvalue)
				RufBar.value:SetText(GLW["Ruf"][standing].." ("..math.ceil((barvalue-barmin)/(barmax-barmin)*100).."%)")
				RufBar:Show()
				RufBarColor(standing)
			else
				local frac = UnitFactionGroup("player")
				if frac == "Alliance" and string.find(tmp,"|cFF1565c0") ~= nil then		--Allianz & AllianzFra
					local _, start = string.find(tmp,"|cFF1565c0")
					local id = GD["FactionDB"]["Alliance"][string.sub(tmp, start+1)]
					local _, _, standing, barmin, barmax, barvalue = GetFactionInfoByID(id)
					RufBar:SetMinMaxValues(barmin, barmax)
					RufBar:SetValue(barvalue)
					RufBar.value:SetText(GLW["Ruf"][standing].." ("..math.ceil((barvalue-barmin)/(barmax-barmin)*100).."%)")
					RufBar:Show()
					RufBarColor(standing)
				elseif frac == "Horde" and string.find(tmp,"|cFFC81C1C") ~= nil then 	--Horde & HordeFra
					local _, start = string.find(tmp,"|cFFC81C1C")
					local id = GD["FactionDB"]["Horde"][string.sub(tmp, start+1)]
					local _, _, standing, barmin, barmax, barvalue = GetFactionInfoByID(id)
					RufBar:SetMinMaxValues(barmin, barmax)
					RufBar:SetValue(barvalue)
					RufBar.value:SetText(GLW["Ruf"][standing].." ("..math.ceil((barvalue-barmin)/(barmax-barmin)*100).."%)")
					RufBar:Show()
					RufBarColor(standing)
				end
			end
		end		

 	elseif art == "modul" then
 		numloot = #GD["ModulLoot"][kontinent][instanz][boss]
 		loot = GD["ModulLoot"][kontinent][instanz][boss]
	end

	if (art == "modul") or (art == "addon") then --Loot wird eingelesen mit trennern
	 	for i = 1, numloot do
	 		local v = loot[i]
			--- die ganzen Trenner die wir so haben
	 		if string.find(v,"t###") ~= nil or string.find(v,"d###") ~= nil or string.find(v,"s###") ~= nil or string.find(v,"x###") ~= nil then
	 			table.insert(cacheliste,v)
	 		-- es ist kein trenner drin also wird es ein Item sein.			
			else 
	 			local _, p = string.find(v,"p###%d")  -- Preis 
	 			local _, w = string.find(v,"w###%d")  -- Währung
	 			local _, u = string.find(v,"u###%d")  -- Update
	 			if  p ~= nil and w ~= nil then -- item mit Preis und Währung
	 				local x, link = nil, nil
	 				local itemid = string.sub(v, 0, p-5)
	 				local preis = string.sub(v, p, w-5)
	 				local curency = string.sub(v, w)
					---doppelwährung höhö inkl. schreibfehler
 					if string.find(curency,"p###") ~= nil then 
 						local _, p2 = string.find(curency,"p###%d")
 						local _, w2 = string.find(curency,"w###%d")
 						local preis2 = string.sub(curency, p2, w2-5)
 						local curency2 = string.sub(curency, w2)
 						curency = string.sub(curency, 0, p2-5)
 						curency = { curency,curency2 }
 						preis = { preis, preis2 }
 					end
	 				table.insert(cacheliste,{ itemid,preis,curency })
	 				itemliste[itemcounter] = { }
	 				itemliste[itemcounter]["itemid"] = itemid
	 				itemliste[itemcounter]["preis"] = preis
	 				itemliste[itemcounter]["curency"] = curency
	 				itemcounter = itemcounter +1 
			
	 			elseif u ~= nil then -- Item mit Updatewerten
	 				local itemid = string.sub(v, 0, u-5)
	 				local update = string.sub(v, u)
	 				table.insert(cacheliste,{itemid, "update"..update})
	 				itemliste[itemcounter] = { }
	 				itemliste[itemcounter]["itemid"] = itemid
	 				itemliste[itemcounter]["update"] = update
	 				itemcounter = itemcounter +1 
	 				
	 			else --- Item ohne sonstige angaben
	 				local itemid = v
	 				table.insert(cacheliste,itemid)
	 				itemliste[itemcounter] = { }
	 				itemliste[itemcounter]["itemid"] = itemid
	 				itemcounter = itemcounter +1 
	 			end	 -- ende Gratis Item
	 		end --ende Kein Trenner
	 	end --ende FOR
	 	Gnoll["tmp"]["abfrage"] = { art, kontinent, instid, encounter, class, spec }
	 	ClearItemButtons()
	 	GetItemCache(cacheliste,UpdateItems)
	 	C_Timer.After(0.5, checkitemscache)  --Itemabrufe Check Cache
		
	else --- DungeonJournal Loot
		local instid = GD["Instanzen"][kontinent][instanz]
		local encounter = GD["Bosse"][kontinent][instanz][boss]
		if encounter == 1452 then dif = 15 end ---Special Fix für Weltbossdingens 
		Gnoll["tmp"]["abfrage"] = { art, kontinent, instid, encounter, class, spec }
		ClearItemButtons()
		LootAbfrage(kontinent,dif,instid,encounter,class,spec,UpdateItems)
		C_Timer.After(0.5, checkitems) --Itemabrufe Check bei Journal
	end
end

local function convert(v) -- C W F Y E
	local _, start= nil
	if string.find(v,"f###") ~= nil then
		_, start = string.find(v,"f###")
		return GetFactionInfoByID(string.sub(v, start+1))
	elseif string.find(v,"e###") ~= nil then
		_, start = string.find(v,"e###")
		return EJ_GetEncounterInfo(string.sub(v, start+1))
	elseif string.find(v,"c###") ~= nil then
		_, start = string.find(v,"c###")
		return GLW["Classes"][tonumber(string.sub(v, start+1))]
	elseif string.find(v,"w###") ~= nil then
		_, start = string.find(v,"w###")
		return GetCurrencyInfo(string.sub(v, start+1))	
	elseif string.find(v,"y###") ~= nil then
		_, start = string.find(v,"y###")
		return GetSpellInfo(string.sub(v, start+1))
	else 
		return v
	end
end

local function OnClickDDMD(self,event,arg1)     --- OnClick Difficulty
    UIDropDownMenu_SetSelectedID(DDMD, self:GetID())
	DDMD["selectedID"]  = self:GetID()
	Gnoll["tmp"]["DDMP"][5] = self["value"]
	Gnoll["tmp"]["abfrage"][5] = self["value"]
	ClearItemButtons()
	LootAbfrageStart(Gnoll["tmp"]["DDMP"][1],Gnoll["tmp"]["DDMP"][2],Gnoll["tmp"]["DDMP"][3],Gnoll["tmp"]["DDMP"][4],Gnoll["tmp"]["DDMP"][5],Gnoll["tmp"]["DDMP"][6],Gnoll["tmp"]["DDMP"][7])
	hideWishList()
end

local function initializeDDMD(self, level)      --- Initialize Difficulty
    local info = UIDropDownMenu_CreateInfo()  
    local tmpE = tonumber(Gnoll["tmp"]["DDMP"][2])
	local tmpI  = tonumber(Gnoll["tmp"]["DDMP"][3])
	local tmpB  = tonumber(Gnoll["tmp"]["DDMP"][4])
	
	if Gnoll["tmp"]["DDMP"][1] == "addon" and GD["AddonModulData"][tmpE][tmpI] == GL["Sets"]  then
		for k,v in pairs(GD["AddonModulKat"][tmpE][tmpI][tmpB]) do  -- Verfügbare Sets einpflegen
			info = UIDropDownMenu_CreateInfo()
			info.text = "Tier "..v
			info.value = v
			info.func = OnClickDDMD
			UIDropDownMenu_AddButton(info,1)
		end

		DDMD:Show()
		UIDropDownMenu_SetSelectedID(DDMD, 1)
		UIDropDownMenu_SetText(DDMD, "Tier "..GD["AddonModulKat"][tmpE][tmpI][tmpB][1])
		
	else	
		Gnoll["tmp"]["DDMP"][5] = GD["Difficulty"][tmpE][tmpI][1] 
		Gnoll["tmp"]["abfrage"][5] = GD["Difficulty"][tmpE][tmpI][1] 

		for k,v in pairs(GD["Difficulty"][tmpE][tmpI]) do
			info = UIDropDownMenu_CreateInfo()
			info.text = GLW["Difficulty"][v]
			info.value = v
			info.func = OnClickDDMD
			UIDropDownMenu_AddButton(info,1)
		end
	end

	UIDropDownMenu_SetSelectedID(DDMD, 1)
end

local function OnClickDDMC(self,event,arg1)     --- OnClick Difficulty
    UIDropDownMenu_SetSelectedID(DDMC, self:GetID())
	DDMC["selectedID"]  = self:GetID()
	Gnoll["tmp"]["DDMP"][6] = self["value"][1]
	Gnoll["tmp"]["abfrage"][6] = self["value"][1]

	Gnoll["tmp"]["DDMP"][7] = self["value"][2] or 0
	Gnoll["tmp"]["abfrage"][7] = self["value"][2] or 0

	ClearItemButtons()
	LootAbfrageStart(Gnoll["tmp"]["DDMP"][1],Gnoll["tmp"]["DDMP"][2],Gnoll["tmp"]["DDMP"][3],Gnoll["tmp"]["DDMP"][4],Gnoll["tmp"]["DDMP"][5],Gnoll["tmp"]["DDMP"][6],Gnoll["tmp"]["DDMP"][7])
	hideWishList()
end

local function initializeDDMC(self, level, menuList)      --- Initialize Addons werden aufgelistet
	DDMC.displayMode = "MENU"
 	local info = UIDropDownMenu_CreateInfo()
 	local tmp1 = 0
 	-- Ebene 1 Klassen
 	if level == 1 or menuList == nil then
        info.text, info.value, info.func, info.hasArrow, info.menuList, info.checked  = GL["All"], {0,nil}, OnClickDDMC, false, "class0", false
        UIDropDownMenu_AddButton(info, level)
	    for i=1, GetNumClasses() do
	        info.text, info.value, info.func, info.hasArrow, info.menuList, info.checked = GetClassInfo(i), {i,nil}, OnClickDDMC, true, "class"..i, false
	        UIDropDownMenu_AddButton(info, level)
	    end

	elseif string.match(menuList,"class%d") ~= nil then
		tmp1 = tonumber(string.sub(menuList, 6))
		info.text, info.value, info.func, info.hasArrow, info.menuList, info.checked  = GL["All"], {tmp1,0} , OnClickDDMC, false, "spec", false
        UIDropDownMenu_AddButton(info, level)
		for k,v in pairs(GD["ClassSpecs"][tmp1]) do
			info.text, info.value, info.func, info.hasArrow, info.menuList, info.checked = GLW["Specs"][v], {tmp1,v}, OnClickDDMC, false, "spec", false
			UIDropDownMenu_AddButton(info,level)
		end

	elseif menuList == "spec" ~= nil then

	 end
end

local function OnClickDDME(self)                --- OnClick Addons
	UIDropDownMenu_SetSelectedID(DDME, self:GetID())
	ClearItemButtons()
	ItemFrame:Show()
	WishFrame:Hide()
	Gnoll["tmp"]["DDMP"] = {  self["value"][1], self["value"][2],self["value"][3],self["value"][4] }
	if self["value"][1] == "default" then
		LootAbfrageStart(self["value"][1], self["value"][2],self["value"][3],self["value"][4],GD["Difficulty"][self["value"][2]][self["value"][3]][1])
		DDMD:Show()
    	DDMC:Show()

    	UIDropDownMenu_Initialize(DDMD, initializeDDMD)
    	UIDropDownMenu_Initialize(DDMC, initializeDDMC)
	else
		LootAbfrageStart(self["value"][1], self["value"][2],self["value"][3],self["value"][4])
		DDMD:Hide()
    	DDMC:Hide()
	end	
end

local function initializeDDME(self, level, menuList)      --- Initialize Addons werden aufgelistet
	DDME.displayMode = "MENU"
 	local info = UIDropDownMenu_CreateInfo()
 	local tmp1, tmp2, start = 0
 	local _ = nil
 	-- Ebene 1 Default
 	if level == 1 or menuList == nil then
		info.text, info.hasArrow, info.menuList, info.checked = "Instanzen / Raids", true, "defaultaddons", false
		UIDropDownMenu_AddButton(info)
	-- Ebene 1 Addon
		for k,v in pairs(GD["AddonModul"]) do
	 		info.text, info.hasArrow, info.menuList, info.checked = v, true, "addonmodul"..k, false
	 		UIDropDownMenu_AddButton(info,level)
	 	end
	-- Ebene 2
	elseif menuList == "defaultaddons" then
	 	for k,v in pairs(GD["Addons"]) do
	 		info.text, info.hasArrow, info.menuList, info.checked = v, true, "defaultinstanzen"..k, false
	 		UIDropDownMenu_AddButton(info,level)
	 	end
	-- Ebene 2 AddonModul
	elseif string.match(menuList,"addonmodul%d") ~= nil then
		tmp1 = tonumber(string.sub(menuList, 11))
	 	for k,v in pairs(GD["AddonModulData"][tmp1]) do
	 		info.text, info.hasArrow, info.menuList, info.checked = convert(v), true, "addonkat"..k.."|||"..tmp1, false
	 		UIDropDownMenu_AddButton(info,level)
	 	end
	 -- Ebene 3
	elseif string.match(menuList,"defaultinstanzen%d") ~= nil then
		tmp1 = tonumber(string.sub(menuList, 17))
		for k,v in pairs(GD["MapIDS"][tmp1]) do 
 	 		--Überprüfen ob ID auch eine ID ist und kein Text
			if tonumber(v) ~= nil then
   				info.text, info.hasArrow, info.menuList, info.checked= GetMapNameByID(v), true, "defaultbosse"..k.."|||"..tmp1, false
			else
				info.text, info.hasArrow, info.menuList, info.checked = v, true, "defaultbosse"..k.."|||"..tmp1, false
			end
	 		UIDropDownMenu_AddButton(info,level)
	 	end
	-- Ebene 3 Module
		for k,v in pairs(GD["Modul"][tmp1]) do
	 		info.text, info.hasArrow, info.menuList, info.checked = convert(v), true, "defaultmodul"..k.."|||"..tmp1, false
	 		UIDropDownMenu_AddButton(info,level)
	 	end
	-- Ebene 3 AddonKat
	elseif string.match(menuList,"addonkat%d") ~= nil then 	
		local _, start = string.find(menuList,"|||")		
		tmp1 = tonumber(string.sub(menuList, start+1))
		tmp2 = tonumber(string.sub(menuList, 9, start-3))
 		for k,v in pairs(GD["AddonModulKat"][tmp1][tmp2]) do 
	 		info.text, info.hasArrow, info.menuList, info.checked, info.value, info.func = convert(v), false, "ende", false, {"addon",tmp1,tmp2,k}, OnClickDDME
	 		UIDropDownMenu_AddButton(info,level)
	 	end
		-- Ebene 4
	elseif string.match(menuList,"defaultbosse%d") ~= nil then
		local _, start = string.find(menuList,"|||")		
		tmp1 = tonumber(string.sub(menuList, start+1))
		tmp2 = tonumber(string.sub(menuList, 13, start-3))
		for k,v in pairs(GD["Bosse"][tmp1][tmp2]) do 
	 		info.text, info.hasArrow, info.menuList, info.checked, info.value, info.func = EJ_GetEncounterInfo(v), false, "ende", false, {"default",tmp1,tmp2,k}, OnClickDDME
	 		UIDropDownMenu_AddButton(info,level)
	 	end
	elseif string.match(menuList,"defaultmodul%d") ~= nil then 	
		local _, start = string.find(menuList,"|||")		
		tmp1 = tonumber(string.sub(menuList, start+1))
		tmp2 = tonumber(string.sub(menuList, 13, start-3))
		for k,v in pairs(GD["ModulData"][tmp1][tmp2]) do 
	 		info.text, info.hasArrow, info.menuList, info.checked, info.value, info.func = convert(v), false, "ende", false, {"modul",tmp1,tmp2,k}, OnClickDDME
	 		UIDropDownMenu_AddButton(info,level)
	 	end
	
	elseif menuList == "ende" then
		
	end

 end
 UIDropDownMenu_Initialize(DDME, initializeDDME)

local function OnClickDDMW(self,arg1,arg2) 
	if arg1 ~= "abfrage" then
	 	if self:GetID() == 1 then	
	 		local dialog = StaticPopup_Show ("Gnoll-add")
	 	elseif self:GetID() == 2 then
	 		local dialog = StaticPopup_Show ("Gnoll-rename",arg2)
	 		if (dialog) then
	 			dialog.data = arg2
	 			dialog.data2 = arg1
	 		end
	 	elseif self:GetID() == 3 then
	 		local dialog = StaticPopup_Show ("Gnoll-delete",arg2)
	 		if (dialog) then
	 			dialog.data = arg2
	 			dialog.data2 = arg1
	 		end
	 	end

	 else
	 	UIDropDownMenu_SetText(DDMW, arg2)
	 	DDMW["selectedID"]  = arg2
	 	ShowWishPage(nil,nil,1,tonumber(self:GetID()))
	 	ItemFrame:Hide()
		WishFrame:Show()	
	 end
end

function initializeDDMW(self, level, menuList)  
	DDMW.displayMode = "MENU"
 	local info = UIDropDownMenu_CreateInfo()  
 	if level == 1 or menuList == nil then
		for k,v in pairs(Gnoll["DB"]["wunschliste"]["names"]) do
			local count = 0
			for k,v in pairs(Gnoll["DB"]["wunschliste"][k]) do 
				count = count + 1
			end
	 		info.text, info.value, info.func, info.hasArrow, info.menuList, info.checked, info.arg1, info.arg2 = v.."  ("..count..")", v, OnClickDDMW, true, "wl"..k, false, "abfrage", v
	 		UIDropDownMenu_AddButton(info,level)
	 	end
	elseif string.match(menuList,"wl%d") ~= nil then 	
		tmp1 = tonumber(string.sub(menuList, 3))
		info.text, info.value, info.func, info.arg1, info.arg2, info.checked, info.notCheckable  = "Add", "add", OnClickDDMW, tmp1, UIDROPDOWNMENU_MENU_VALUE, false, true
		UIDropDownMenu_AddButton(info,level)
		info.text, info.value, info.func, info.arg1, info.arg2, info.checked, info.notCheckable = "Rename", "rename", OnClickDDMW, tmp1, UIDROPDOWNMENU_MENU_VALUE, false, true
		UIDropDownMenu_AddButton(info,level)
		info.text, info.value, info.func, info.arg1, info.arg2, info.checked, info.notCheckable  = "Delete", "delete", OnClickDDMW, tmp1, UIDROPDOWNMENU_MENU_VALUE, false, true
		UIDropDownMenu_AddButton(info,level)
	end
end




